title: "c4c Custom"
description: "Access to resources required for collecting servers information"
stage: "ALPHA"
includedPermissions:
  - certificatemanager.certs.create
  - certificatemanager.certs.delete
  - certificatemanager.certs.get
  - certificatemanager.certs.list
  - certificatemanager.certs.update
  - certificatemanager.certs.use
  - compute.backendBuckets.addSignedUrlKey
  - compute.backendBuckets.create
  - compute.backendBuckets.createTagBinding
  - compute.backendBuckets.delete
  - compute.backendBuckets.deleteSignedUrlKey
  - compute.backendBuckets.deleteTagBinding
  - compute.backendBuckets.get
  - compute.backendBuckets.getIamPolicy
  - compute.backendBuckets.list
  - compute.backendBuckets.setSecurityPolicy
  - compute.backendBuckets.update
  - compute.backendBuckets.use
  - compute.globalAddresses.create
  - compute.globalAddresses.createInternal
  - compute.globalAddresses.delete
  - compute.globalAddresses.deleteInternal
  - compute.globalAddresses.get
  - compute.globalAddresses.list
  - compute.globalAddresses.setLabels
  - compute.globalAddresses.use
  - compute.globalForwardingRules.create
  - compute.globalForwardingRules.delete
  - compute.globalForwardingRules.get
  - compute.globalForwardingRules.list
  - compute.globalForwardingRules.update
  - compute.instances.delete
  - compute.instances.get
  - compute.instances.list
  - compute.instances.reset
  - compute.instances.start
  - compute.instances.stop
  - compute.regionSslCertificates.create
  - compute.regionSslCertificates.delete
  - compute.regionSslCertificates.get
  - compute.regionSslCertificates.list
  - compute.regions.get
  - compute.regions.list
  - compute.sslCertificates.create
  - compute.sslCertificates.delete
  - compute.sslCertificates.get
  - compute.targetHttpProxies.create
  - compute.targetHttpProxies.createTagBinding
  - compute.targetHttpProxies.delete
  - compute.targetHttpProxies.deleteTagBinding
  - compute.targetHttpProxies.get
  - compute.targetHttpProxies.list
  - compute.targetHttpProxies.listEffectiveTags
  - compute.targetHttpProxies.listTagBindings
  - compute.targetHttpProxies.setUrlMap
  - compute.targetHttpProxies.update
  - compute.targetHttpProxies.use
  - compute.targetHttpsProxies.create
  - compute.targetHttpsProxies.createTagBinding
  - compute.targetHttpsProxies.delete
  - compute.targetHttpsProxies.deleteTagBinding
  - compute.targetHttpsProxies.get
  - compute.targetHttpsProxies.list
  - compute.targetHttpsProxies.listEffectiveTags
  - compute.targetHttpsProxies.listTagBindings
  - compute.targetHttpsProxies.setCertificateMap
  - compute.targetHttpsProxies.setQuicOverride
  - compute.targetHttpsProxies.setSslCertificates
  - compute.targetHttpsProxies.setSslPolicy
  - compute.targetHttpsProxies.setUrlMap
  - compute.targetHttpsProxies.update
  - compute.targetHttpsProxies.use
  - compute.targetInstances.create
  - compute.targetInstances.createTagBinding
  - compute.targetInstances.delete
  - compute.urlMaps.create
  - compute.urlMaps.createTagBinding
  - compute.urlMaps.delete
  - compute.urlMaps.deleteTagBinding
  - compute.urlMaps.get
  - compute.urlMaps.invalidateCache
  - compute.urlMaps.list
  - compute.urlMaps.listEffectiveTags
  - compute.urlMaps.listTagBindings
  - compute.urlMaps.update
  - compute.urlMaps.use
  - compute.urlMaps.validate
  - iam.roles.create
  - iam.roles.delete
  - iam.roles.get
  - iam.roles.list
  - monitoring.timeSeries.list
  - resourcemanager.projects.getIamPolicy
  - storage.buckets.create
  - storage.buckets.createTagBinding
  - storage.buckets.delete
  - storage.buckets.deleteTagBinding
  - storage.buckets.get
  - storage.buckets.getIamPolicy
  - storage.buckets.getObjectInsights
  - storage.buckets.list
  - storage.buckets.listEffectiveTags
  - storage.buckets.listTagBindings
  - storage.buckets.setIamPolicy
  - storage.buckets.update
  - storage.objects.create
  - storage.objects.delete
  - storage.objects.get
  - storage.objects.getIamPolicy
  - storage.objects.list
  - storage.objects.setIamPolicy
  - storage.objects.update
  - storagetransfer.agentpools.create
  - storagetransfer.agentpools.delete
  - storagetransfer.agentpools.get
  - storagetransfer.agentpools.list
  - storagetransfer.jobs.create
  - storagetransfer.jobs.delete
  - storagetransfer.jobs.get
  - storagetransfer.jobs.list
  - storagetransfer.jobs.run
  - storagetransfer.jobs.update
  - storagetransfer.operations.get
  - storagetransfer.projects.getServiceAccount